Subject: Re: What's cooking in git.git (Apr 2025, #01; Mon, 7)

From: Junio C Hamano <[email-masked]>
Date: Wed, 09 Apr 2025 08:59:53 -0700

Philippe Blain <[email-masked]> writes:

>>> I had one question around empty prereqs introduced by the patch that
>>> wasn't yet answered. Based on my testing empty prereqs do work just fine
>>> though and evaluate to true, so the patch series looks fine to me.
>
> Patrick, thank you for your review on this series, and for testing it.
> I do intend to answer you in that thread, and I also wanted to actually test
> what you mentioned about empty prereqs, I just have very limited time to
> contribute these days, so I don't know when I'll be able to.

Yup, thanks both of you.

> Junio, I see this was merged to 'next' already yesterday (the 8th), and
> you sent this "What's cooking" on the 7th. Would it be possible to wait 
> more than one day before announcing an upcoming merge to 'next' of a series
> and the actual merge ? This would allow contributors with very little time
> to contribute a little more time to say so if they wish to wait 
> before merging to next because they want to send a new iteration. 

I know the frustration.  But this is team-work; even if you are
somewhat unsure about certain details of your own change, others
(like Patrick in this case) can help you.

Instead of offering to slow down (say, wait for 3 days after marking
a topic for 'next'), I can say I'll be more careful before I mark a
topic as such.  As the former will inevitably invite "so how many
days is long enough?", whose answer depends on who you ask, and I do
not have enough bandwidth to keep track of how fast a response I
should expect from each contributor.  Two things you can do to help
are to accompany a new iteration you send with some comments like

 (1) "I am unsure about this and that aspects of this patch (yet)",
     to help others help you and the community to convince ourselves
     of these parts that you were unsure about, or simply improve on
     your work.

 (2) "I will be slow, so unless there is capable somebody else who
     can champion this patch without me, please wait before I can
     also say I am happy with this iteration", to allow others to
     either go without you (and take responsibility of the outcome)
     or wait for you.

perhaps?